org.vishia.gral.widget

## Class GralFileSelector.WindowConfirmSearch

- java.lang.Object
- - org.vishia.gral.widget.GralFileSelector.WindowConfirmSearch

- Enclosing class:
    GralFileSelector

      public static class GralFileSelector.WindowConfirmSearch
      extends java.lang.Object

  A window for search-in-file dialogue. It is instantiated calling `GralFileSelector.createWindowConfirmSearchGthread(GralMngBuild_ifc)`. The user can invoke `confirmSearchInFiles(GralFileSelector, Appendable)` to open that window. Note: An application may have only one of this window thow more as one GralFileSelector may be exist. Therefore the window is not instantiated automatically in this class. The user can instantiate it.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) GralUserAction` | `actionFileSearch` Action is called if the button search is pressed.
    `(package private) GralFileSelector` | `fileSelector`
    `(package private) java.lang.Appendable` | `searchOutput`
    `(package private) GralButton` | `widgEsc` Buttons.
    `(package private) GralTextField_ifc` | `widgMask`
    `(package private) GralTextField_ifc` | `widgPath`
    `(package private) GralValueBar` | `widgProgression`
    `(package private) GralButton` | `widgSearch` Buttons.
    `(package private) GralButton` | `widgSubdirs` Buttons.
    `(package private) GralTextField_ifc` | `widgText`
    `(package private) GralWindow_ifc` | `windConfirmSearch`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `WindowConfirmSearch()` Use `GralFileSelector.createWindowConfirmSearchGthread(GralMngBuild_ifc)` to create.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `confirmSearchInFiles(GralFileSelector fileSelector, java.lang.Appendable searchOutput)` Shows the window.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### windConfirmSearch

          GralWindow_ifc windConfirmSearch

    - #### widgPath

          GralTextField_ifc widgPath

    - #### widgMask

          GralTextField_ifc widgMask

    - #### widgText

          GralTextField_ifc widgText

    - #### widgProgression

          GralValueBar widgProgression

    - #### widgEsc

          GralButton widgEsc

      Buttons.

    - #### widgSubdirs

          GralButton widgSubdirs

      Buttons.

    - #### widgSearch

          GralButton widgSearch

      Buttons.

    - #### fileSelector

          GralFileSelector fileSelector

    - #### searchOutput

          java.lang.Appendable searchOutput

    - #### actionFileSearch

          GralUserAction actionFileSearch

      Action is called if the button search is pressed.

  - ### Constructor Detail

    - #### WindowConfirmSearch

          protected WindowConfirmSearch()

      Use `GralFileSelector.createWindowConfirmSearchGthread(GralMngBuild_ifc)` to create.

  - ### Method Detail

    - #### confirmSearchInFiles

          public void confirmSearchInFiles(GralFileSelector fileSelector,
                                           java.lang.Appendable searchOutput)

      Shows the window.
      Parameters:
        `fileSelector` -